Bug 236284 - devel/websvn: update port to 2.4
Summary: devel/websvn: update port to 2.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-05 17:13 UTC by Michael Osipov
Modified: 2019-03-07 19:28 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (ychsiao)


Attachments
Patch against /usr/ports (34.06 KB, patch)
2019-03-05 17:13 UTC, Michael Osipov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Osipov 2019-03-05 17:13:01 UTC
Created attachment 202597 [details]
Patch against /usr/ports

> commit 212a144064d18a9fba1953b28782c83c0c0c3397 (HEAD -> dev, origin/dev)
> Author: Michael Osipov <michael.osipov@siemens.com>
> Date:   2019-03-05 13:56:48 +0100
> 
>     devel/websvn: update port to 2.4
> 
>     * Update port to new location on GitHub
>     * Properly depend on Subversion and PEAR packages
>     * Change maintainer to WebSVN committer

I am a committer of the project hosted on GitHub now and also a happy FreeBSD user. I'd like to take ownership of the port of the current portmaintainer agrees.
Comment 1 Michael Osipov 2019-03-05 17:14:15 UTC
Passes on a 12-STABLE host against:

poudriere testport -j 112-release-amd64  -p dev -o devel/websvn@php71
poudriere testport -j 112-release-amd64  -p dev -o devel/websvn@php72
poudriere testport -j 112-release-amd64  -p dev -o devel/websvn@php73
poudriere testport -j 112-release-i386  -p dev -o devel/websvn@php71
poudriere testport -j 112-release-i386  -p dev -o devel/websvn@php72
poudriere testport -j 112-release-i386  -p dev -o devel/websvn@php73
poudriere testport -j 120-release-amd64  -p dev -o devel/websvn@php71
poudriere testport -j 120-release-amd64  -p dev -o devel/websvn@php72
poudriere testport -j 120-release-amd64  -p dev -o devel/websvn@php73
poudriere testport -j 120-release-i386  -p dev -o devel/websvn@php71
poudriere testport -j 120-release-i386  -p dev -o devel/websvn@php72
poudriere testport -j 120-release-i386  -p dev -o devel/websvn@php73
Comment 2 ychsiao 2019-03-06 07:01:16 UTC
(In reply to Michael Osipov from comment #0)
Hi 

Thank you for your help, please take ownership.
Comment 3 Michael Osipov 2019-03-06 16:49:25 UTC
(In reply to ychsiao from comment #2)

Alright, please add the maintainer feedback and lets hope some committer will pick this up.
Comment 4 commit-hook freebsd_committer 2019-03-07 19:27:34 UTC
A commit references this bug:

Author: swills
Date: Thu Mar  7 19:27:26 UTC 2019
New revision: 494989
URL: https://svnweb.freebsd.org/changeset/ports/494989

Log:
  devel/websvn: update port to 2.4

  While here, pass maintainership to submitter

  PR:		236284
  Submitted by:	Michael Osipov <michael.osipov@siemens.com>
  Approved by:	ychsiao@ychsiao.org (maintainer)

Changes:
  head/devel/websvn/Makefile
  head/devel/websvn/distinfo
  head/devel/websvn/files/patch-CVE-2013-6892
  head/devel/websvn/files/patch-CVE-2016-2511
  head/devel/websvn/files/pkg-message.in
  head/devel/websvn/pkg-descr
  head/devel/websvn/pkg-plist
Comment 5 Steve Wills freebsd_committer 2019-03-07 19:28:34 UTC
Committed, thanks!